<nav class="flex items-center justify-between flex-wrap bg-blue-400 p-6">
    <img src="assets/icons/tailwind-logo.svg" width="64px" height="64px" />
    <div class="flex items-center justify-center" *ngIf="user$ | async as user">
        <img [src]="user.pictureUrl" alt="" class="user-avatar mr-3">
        <span>{{ user.username }}</span>
    </div>
</nav>
<div class="flex flex-row grow">
    <div class="sidebar flex flex-col top-[112px] bottom-0 left-0 w-[200px] bg-indigo-600 shadow-md">
        <div class="flex justify-center p-2.5 mt-1">
            <h1 class="font-bold text-gray-200 mx-auto">TailwindCSS</h1>
        </div>
        <div class="flex flex-col grow mx-4 text-gray-200 cursor-pointer">
            <div class="flex py-2 border-b-[1px] border-b-gray-200 text-blue-400">
                <i class="bi bi-plus-lg"></i>
                <span class="ml-2">Todos</span>
                <i class="bi bi-caret-left-fill ml-auto"></i>
            </div>
            <div class="flex py-2 border-b-[1px] border-b-gray-200">
                <i class="bi bi-bookmark-fill"></i>
                <span class="ml-2">Notes</span>
            </div>
            <div class="flex py-2 border-b-[1px] border-b-gray-200">
                <i class="bi bi-house-fill"></i>
                <span class="ml-2">Home</span>
            </div>
            <div class="flex py-2 mt-auto mb-8" (click)="onLogoutClick()">
                <i class="bi bi-box-arrow-in-right"></i>
                <span class="ml-2">Logout</span>
            </div>
        </div>
    </div>
    <div class="grow">
        <router-outlet></router-outlet>
    </div>
</div>